Post the necessary fields for the API to add a new outbound call.
http
POST https://services.leadconnectorhq.com/conversations/messages/outboundAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
type | string | Yes | Call | Message Type Possible values: 'Call' |
attachments | string[] | No | Array of attachments | |
conversationId | string | Yes | ve9EPM428h8vShlRW1KT | Conversation Id |
conversationProviderId | string | Yes | 61d6d1f9cdac7612faf80753 | Conversation Provider Id |
altId | string | No | 61d6d1f9cdac7612faf80753 | external mail provider's message id |
date | string | No | Date of the outbound message | |
call | object | No | Phone call dialer and receiver information |
Responses
200 - Created the message
success(boolean, required)conversationId(string, required): Conversation ID. Example:ABC12h2F6uBrIkfXYazbmessageId(string, required): This is the main Message ID Example:t22c6DQcTDf3MjRhwf77message(string, required)contactId(string)dateAdded(string)emailMessageId(string)
json
{
"success": true,
"conversationId": "ABC12h2F6uBrIkfXYazb",
"messageId": "t22c6DQcTDf3MjRhwf77",
"message": "string",
"contactId": "string",
"dateAdded": "2024-01-15T10:30:00Z",
"emailMessageId": "string"
}400 - Bad Request
json
{}Example
curl -X POST 'https://services.leadconnectorhq.com/conversations/messages/outbound' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"type": "Call",
"attachments": [
"string"
],
"conversationId": "ve9EPM428h8vShlRW1KT",
"conversationProviderId": "61d6d1f9cdac7612faf80753",
"altId": "61d6d1f9cdac7612faf80753",
"date": "2024-01-15T10:30:00Z"
}'const response = await fetch('https://services.leadconnectorhq.com/conversations/messages/outbound', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"type": "Call", "attachments": ["string"], "conversationId": "ve9EPM428h8vShlRW1KT", "conversationProviderId": "61d6d1f9cdac7612faf80753", "altId": "61d6d1f9cdac7612faf80753", "date": "2024-01-15T10:30:00Z"}),
});
const data = await response.json();import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/conversations/messages/outbound',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"type": "Call", "attachments": ["string"], "conversationId": "ve9EPM428h8vShlRW1KT", "conversationProviderId": "61d6d1f9cdac7612faf80753", "altId": "61d6d1f9cdac7612faf80753", "date": "2024-01-15T10:30:00Z"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversations/messages/outbound');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'type': 'Call', 'attachments': ['string'], 'conversationId': 've9EPM428h8vShlRW1KT', 'conversationProviderId': '61d6d1f9cdac7612faf80753', 'altId': '61d6d1f9cdac7612faf80753', 'date': '2024-01-15T10:30:00Z'}),
]);
$data = json_decode(curl_exec($ch), true);